Zip Explorer

ZipExplorer 1.2.4

Purpose

ZipExplorer is a C3D Engine plugin suitable to P3dO Explorer 1.7.5 and above.

ZipExplorer automaticaly lists archives files content and display them in P3dO thumbnail view and Information tree.

Features

Showing zip content

This function does not actually unzip any data, its purpose is solely to display a Zip content.
Instead of displaying a Zip icon, Zip Explorer displays each Zip archive with first picture encountered in the file if any.
ZipExplorer show the first image taking into account the alphabetic and zip folder hierarchical order, i.e pictures at the root of the zip files are first.

ZipExplorer showing a thumbnail image:

Each time you double-click on an archive file, ZipExplorer will expand its content in P3dO. If you double-click on the Zip file again the archive is unexpanded.
When a Zip archive file is clicked Zip Explorer display a thumbnail view of the zip archive content with a small Zip icon for each file. As shown:

The content can show icons, pictures -as above- or 3D files depending on the ability to decode the files formats.
Currently all 3D file formats and pictures are Zip through viewable with the pro version. The freeware version is limited to 3D Wavefront OBJ and RSR, PNG pictures.

Unzipping to the disk

ZipExplorer unzipping capabilities are published by another plugin called ZipInstaller. ZipInstaller is only available with P3dO pro.

Menu & Toolbar

ZipExplorer will add 1 menu item in your P3dO application.

Open Zip Expand a zip into P3dO view (without unzipping), see above for details.
Note that for P3dO Unzip and Open is the same, if you want to open an archive file with your archive utility use the "Open with..." menu command instead or use the ZipInstaller plugin (with P3dO pro).